
#include <aknnotewrappers.h>
#include <avkon.hrh>

#include <stringloader.h>
#include <qanda.rsg>

#include "qanda.pan"
#include "qandadocument.h"
#include "qandaappui.h"
#include "qandaappview.h"
#include "qanda.hrh"

// ConstructL is called by the application framework
void CQAAppUi::ConstructL()
    {
    BaseConstructL();

	iModel = static_cast<CQADocument*>(iDocument) -> Model();

    iAppView = CQAAppView::NewL(ClientRect());
	iAppView->SetModel(iModel);
    AddToStackL(iAppView);
    }

CQAAppUi::CQAAppUi()                              
    {
    // add any construction that cannot leave here
    }

CQAAppUi::~CQAAppUi()
    {
    if (iAppView)
        {
        RemoveFromStack(iAppView);
        delete iAppView;
        iAppView = NULL;
        }
    }

// handle any menu commands
void CQAAppUi::HandleCommandL(TInt aCommand)
    {
    switch(aCommand)
        {
		case EQAAbout:
            {
			// load a string from the resource file and display it
			HBufC* textResource = StringLoader::LoadLC(R_QA_ABOUT_MESSAGE);
            CAknInformationNote* informationNote;
			informationNote = new (ELeave) CAknInformationNote;
            informationNote->ExecuteLD(textResource->Des());
			CleanupStack::PopAndDestroy(textResource);
            }
            break;

		case EQAAsk:
			{
			iModel->Reset();
            iAppView->DrawNow();
			break;
			}

		case EQAAnswer:
			{
			iModel->Select();
            iAppView->DrawNow();

//			iAppView->UserDraw();
			break;
			}

        case EAknSoftkeyExit:
		case EQAQuit:
            Exit();
            break;

        default:
            User::Panic (_L("QandA"), EQABasicUi);
            break;
        }
    }



