
#include <coemain.h>
#include <aknnotewrappers.h>
#include <qanda.rsg>

#include "qandaappview.h"

// Standard construction sequence
CQAAppView* CQAAppView::NewL(const TRect& aRect)
    {
    CQAAppView* self = CQAAppView::NewLC(aRect);
    CleanupStack::Pop(self);
    return self;
    }

CQAAppView* CQAAppView::NewLC(const TRect& aRect)
    {
    CQAAppView* self = new (ELeave) CQAAppView;
    CleanupStack::PushL(self);
    self->ConstructL(aRect);
    return self;
    }

void CQAAppView::ConstructL(const TRect& aRect)
    {
    // Create a window for this application view
    CreateWindowL();

    // Set the windows size
    SetRect(aRect);

    // Activate the window, which makes it ready to be drawn
    ActivateL();
    }

CQAAppView::CQAAppView()
    {
    // Add any construction code that can not leave here
    }


CQAAppView::~CQAAppView()
    {
    // Add any destruction code here
    }

void CQAAppView::SetModel(CQAEng * aModel) {

	iModel = aModel; 
	// Dokumentti huolehtii mallin luonnista,
	// tnne annetaan vain viite.
}

// Draw this application's view to the screen
void CQAAppView::Draw(const TRect& /*aRect*/) const
    {
    // Get the standard graphics context 
    CWindowGc& gc = SystemGc();
    
    // Gets the control's extent
    TRect rect = Rect();
    
    // Clears the screen
    gc.Clear(rect);

	gc.UseFont(iCoeEnv->NormalFont());
	gc.DrawText(iModel->Question(), TPoint(15,30));

	if (iModel->Used()) {
   	   gc.DrawText(iModel->Answer(), TPoint(15,60));
	}
    }

void CQAAppView::UserDraw() const
	{
	ActivateGc();
	Draw(Rect());
	DeactivateGc();
	}