
#include "qaeng.h"
#include "qandaappui.h"
#include "qandadocument.h"


// Standard Symbian OS construction sequence
CQADocument* CQADocument::NewL(CEikApplication& aApp)
    {
    CQADocument* self = NewLC(aApp);
    CleanupStack::Pop(self);
    return self;
    }

CQADocument* CQADocument::NewLC(CEikApplication& aApp)
    {
    CQADocument* self = new (ELeave) CQADocument(aApp);
    CleanupStack::PushL(self);
    self->ConstructL();
    return self;
    }

void CQADocument::ConstructL() {

  TFileName appname = Application()->AppFullName();
  TParse parse;

  parse.Set( appname, NULL, NULL );
  TFileName qfile = parse.DriveAndPath();
  qfile += _L( "qfile.txt" );

  TFileName afile = parse.DriveAndPath();
  afile += _L( "afile.txt" );

  iModel = CQAEng::NewL(qfile, afile);

}    

CQADocument::CQADocument(CEikApplication& aApp) : CAknDocument(aApp) 
    {
    // Add any construction that can not leave here
    }   

CQADocument::~CQADocument()
    {
	delete iModel;
    // Any destruction code here
    }

CEikAppUi* CQADocument::CreateAppUiL()
    {
    // Create the application user interface, and return a pointer to it
    CEikAppUi* appUi = new (ELeave) CQAAppUi;
    return appUi;
    }

CQAEng * CQADocument::Model()
	{ 
	return iModel;
	}
